Loading...
Searching...
No Matches
sk_option Struct Reference

Configuration option structure for FIDO2/U2F operations. More...

`#include <sk_api.h>`

## Data Fields

char * | name
| Option name/key identifier.
char * | value
| Option value as bytes.
uint8_t | required
| Indicates if this option is required for the operation.

## Detailed Description

Configuration option structure for FIDO2/U2F operations.

Represents a single configuration parameter that can be passed to FIDO2/U2F middleware.

## Field Documentation

## required

uint8_t sk_option::required

Indicates if this option is required for the operation.

Non-zero if this option must be processed and cannot be ignored. Zero if this option is advisory and can be skipped if the middleware does not support it.

The documentation for this struct was generated from the following file:

- /build/libssh-pvI3ll/libssh-0.12.2/include/libssh/sk_api.h